package com.ruoyi.project.common.service;

import com.ruoyi.project.common.domain.Message;

import java.util.List;


/**
 * 物资消息Service接口
 * 
 * @author ruoyi
 * @date 2024-04-17
 */
public interface IMessageService 
{
    /**
     * 查询物资消息
     * 
     * @param id 物资消息主键
     * @return 物资消息
     */
    public Message selectMessageById(Long id);

    /**
     * 查询物资消息列表
     * 
     * @param message 物资消息
     * @return 物资消息集合
     */
    public List<Message> selectMessageList(Message message);

    /**
     * 新增物资消息
     * 
     * @param message 物资消息
     * @return 结果
     */
    public int insertMessage(Message message);

    /**
     * 修改物资消息
     * 
     * @param message 物资消息
     * @return 结果
     */
    public int updateMessage(Message message);

    /**
     * 批量删除物资消息
     * 
     * @param ids 需要删除的物资消息主键集合
     * @return 结果
     */
    public int deleteMessageByIds(Long[] ids);

    /**
     * 删除物资消息信息
     * 
     * @param id 物资消息主键
     * @return 结果
     */
    public int deleteMessageById(Long id);
}
